package com.qmth.digit.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.digit.print.business.bean.dto.BlurryUserDto;
import com.qmth.digit.print.business.bean.dto.ExamTaskDto;
import com.qmth.digit.print.business.bean.query.BlurryParam;
import com.qmth.digit.print.business.bean.query.ExamTaskParam;
import com.qmth.digit.print.business.entity.ExamTask;

import java.util.List;

/**
 * <p>
 * 命题任务 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamTaskService extends IService<ExamTask> {

    List<ExamTask> listByCourseCode(Long schoolId, String code);

    IPage<ExamTaskDto> list(ExamTaskParam param);

    List<String> listPaperNumber(BlurryParam param);

    List<BlurryUserDto> listUser(BlurryParam param);
}
